=== debian/changelog ===
tachyon (0.99~b2+dfsg-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add libtachyon-0.99 as a dependency of libtachyon-dev. Thanks to Ana Guerrero 
    for finding this bug! (Closes: #675714) 

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 03 Jun 2012 00:27:58 +0200

tachyon (0.99~b2+dfsg-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed build failures on kfreebsd 
    - disabling threading (Closes: 620999)
    - including sys/time.h in src/util.c

 -- Steffen Moeller <moeller@debian.org>  Thu, 21 Apr 2011 23:57:51 +0200

tachyon (0.99~b2+dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Moved TeX build requirements from Build-Depends-Indep
    to Build-Depends (Closes: #620068).

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Apr 2011 10:40:16 +0200

tachyon (0.99~b2+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #600938, #567997).
  * Reassignment of lib package to section lib (Closes: #490014).
  * Helped lintian cleanliness for BSD license warning.
  * No CDBS debian/control management.
  * Removed leading "../" from path in debian/patches/architecture.patch
  * Added LaTeX license to debian/copyright as requested by FTPadmins

 -- Steffen Moeller <moeller@debian.org>  Tue, 29 Mar 2011 13:37:53 +0200

tachyon (0.98~beta.dfsg-1) unstable; urgency=low

  * Set priority to optional.
  * Remove files generated by non-DFSG free latex2html.
  * Update to Standards-Version 3.8.0.
  * Create new linux-base-thr architecture for tachyon that doesn't assume
    x86 and incorrectly include -m32 in CFLAGS (Closes: #486849).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 20 Jun 2008 11:24:50 -0400

tachyon (0.98~beta-1) unstable; urgency=low

  * Initial release (Closes: #480082).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 06 Jun 2008 18:28:02 -0400
