=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INVOKE += -C unix

DEB_MAKE_BUILD_TARGET=linux-base-thr
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)


# did not get past compile error for src/thread.h
ifeq ($(DEB_BUILD_ARCH), kfreebsd-i386)
  DEB_MAKE_BUILD_TARGET = linux
endif
ifeq ($(DEB_BUILD_ARCH), kfreebsd-amd64)
  DEB_MAKE_BUILD_TARGET = linux-64
endif

build-indep:
	$(MAKE) -C docs pdf
