## tachyon 0.99~b6%2Bdsx

=== docs/Makefile ===
--- 
+++ 
@@ -33,9 +33,9 @@
 		-toc_depth 4 \
 		-toc_stars \
 		-t "Tachyon Docs" \
-		-address "johns@megapixel.com" \
-		-up_url "http://www.megapixel.com/" \
-		-up_title "Megapixel.com, home of Tachyon" \
+		-address "john.stone@gmail.com" \
+		-up_url "http://www.photonlimited.com/" \
+		-up_title "photonlimited.com, home of Tachyon" \
 		tachyon
 
 #	tar -cvf - tachyon | gzip > tachyon.html.tar.gz
