=== debian/changelog ===
tachyon (0.99~b6+dsx-8) unstable; urgency=medium

  * Serious bug fix release (Closes: #855615) / Debianization:
    - d/rules:
      - link-doc, drop (See: #747141);
    - d/control:
      - -dev Depends fields, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Feb 2017 13:51:03 +0000

tachyon (0.99~b6+dsx-7) unstable; urgency=medium

  * Serious bug fix release (Closes: #848131) / Debianization:
    - d/shlibs.local, indroduce (See: #831442).
  * Debianization:
    - d/templates/*:
      - d/t/control.in (resp., d/control), harden (resp., update);
    - d/patches/*:
      - d/p/upstream-rationalization-autotools.patch, refresh and harden;
      - d/p/debianization-bug-848363-ax_check_gl.patch, introduce;
      - Origin field, correct;
    - d/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Dec 2016 18:23:58 +0000

tachyon (0.99~b6+dsx-6) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #837012):
    - configure.ac as provided for debianization, harden.
  * Debianization:
    - d/p/debianization.patch, see FTBFS bug fix above.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 13 Sep 2016 01:42:37 +0000

tachyon (0.99~b6+dsx-5) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Standards Version 3.9.8, bump;
      - description field appendum for serial platforms library, correct
        (thanks to Katsuhiko Nishimra <ktns.87@gmail.com> for noticing;
        Closes: #824134);
      - discard the debug symbols packages;
      - revisit;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - discard the debug symbols material (see above);
      - symlink policy for documentation directories, set;
      - refresh;
    - debian/patches/upstream-lintian-spelling-error-silence.patch, introduce
      (and submit).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Aug 2016 01:23:27 +0000

tachyon (0.99~b6+dsx-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Use HTTPS in the Vcs-* fields.
  * Use the list of openmpi architectures as provided by mpi-default-dev,
    instead of hardcoding our own list, and refresh debian/control.
  * Tight build-dep on mpi-default-dev (>= 1.3).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 13:37:56 +0000

tachyon (0.99~b6+dsx-3) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #806115):
    - arch/indep build scheme, harden.
  * Debianization:
    - debian/rules, see FTBFS bug fix above;
    - debian/templates/control.in, Vcs-Browser field correction.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 02 Dec 2015 01:38:35 +0000

tachyon (0.99~b6+dsx-2) unstable; urgency=medium

  * Debianization:
    - debian/control, refresh;
    - debian/copyright, correct and refresh;
    - debian/rules, harden;
    - debian/patches/:
      - autotools chain:
        - libjpeg find and check, harden;
        - kfreebsd and hurd surpports, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 25 Jun 2015 16:58:12 +0000

tachyon (0.99~b6+dsx-1) unstable; urgency=medium

  * New upstrean release.
  * New maintainer (Closes: #764433).
  * Debianization:
    - debian/copyright:
      - in DEP-5 format, bump;
      - refresh;
    - debian/control:
      - debhelper build-dep to >= 9, bump;
      - Standards Version 3.9.6, bump;
      - Build-Depends field, refresh (Closes: #650601);
      - Vcs-* headers, provide (Closes: #697317);
    - debian/source/, format 3.0 (quilt), bump;
    - debian/watch, refresh;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - full, multi-flavour and multi-variant dh integration through
        a templates machinery;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - debian/patches/:
      - patches in DEP-3 format;
      - harden pthreads support in GNU environment, thanks to
        Samuel Thibault <sthibault@debian.org> (Closes: #729182);
      - harden separate build either with or without OpenGL support;
      - format help display in view to employ help2man to generate manpages;
      - clean demo simple samples;
      - pre-rationalization cleanup;
      - merge the installed header into one header;
      - script-version, create by hand wrt `tachyon.h';
      - autotools build machinery, write from scratch to ease maintenance;
      - library versioning, introduce;
      - manual page generated via help2man;
    - debian/README.{source,Debian}, refresh;
    - build-arch/build-indep scheme, introduce;
    - gpg-signature check support, neutralize;
    - missing sample material gathered into a separated source tarball;
    - management of tools and library variants with update-alaternatives.
  * Provide an ad hoc script to shoot (and clean) the upstream scene samples,
    and an ad hoc Makefile to build (and clean) the upstream source examples.
  * Minor, enhancement, cosmetic patches submitted to the upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Nov 2014 13:35:43 +0000
